<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
	xmlns="http://www.filemaker.com/fmpxmlresult">

<!--
Author : Alexandre Vial | a.vial@keesystem.com
Company : Keesystem SARL
V1.2 2017 !-->


	<xsl:output method="xml" encoding="utf-8" indent="yes"/>

	<xsl:template match="/">
		<xsl:for-each select="FMPReport/File/*">
			<xsl:call-template name="ParcoursElement"/>
		</xsl:for-each>


	</xsl:template>
	<xsl:template name="ParcoursElement">
		<xsl:variable name="NomFichier_lst">
			<xsl:value-of select="/FMPReport/File/@name"/>
		</xsl:variable>
		<xsl:for-each select="*">
			<xsl:variable name="Node">
				<xsl:value-of select="name()"/>
			</xsl:variable>
			<xsl:variable name="_Table">
				<xsl:choose>

					<xsl:when test="name()='ScriptCatalog'">
						<xsl:value-of select="StepList/Step/@name"/>
					</xsl:when>
					<xsl:when test="name()='LayoutCatalog'">
						<xsl:value-of select="Table/@name"/>
					</xsl:when>
					<xsl:when test="name()='RelationshipGraph' or name()='TableList' or name()='RelationshipList' or name()='Group' ">
						<xsl:text/>
					</xsl:when>
					<xsl:when test="name()='Table'">
						<xsl:value-of select="@name"/>
					</xsl:when>
					<xsl:when test="name()='Relationship'">
						<xsl:value-of select="@id"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>1</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>

			<xsl:choose>
				<xsl:when test="$_Table!=''">

					<xsl:variable name="_index">
						<xsl:choose>
							<xsl:when test="@id &gt; 0">
								<xsl:value-of select="@id"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="position()"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>


					<xsl:result-document encoding="UTF-8" href="{concat($NomFichier_lst, '_',$Node,'_' , $_index)}.xml">
						<FMPXMLRESULT>

							<ERRORCODE>0</ERRORCODE>
							<PRODUCT BUILD="" NAME="FileMaker Pro" VERSION="15.0v3"/>
							<DATABASE DATEFORMAT="yyyy.MM.dd" LAYOUT="" NAME="" RECORDS=""
								TIMEFORMAT="k:mm:ss"/>

							<METADATA>
								<FIELD NAME="NomFichier_lst" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT="1"/>
								<FIELD NAME="Racine_lst" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT="1"/>
								<FIELD NAME="Id_lsn" TYPE="NUMBER" EMPTYOK="YES" MAXREPEAT="1"/>
								<FIELD NAME="Name_lst" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT="1"/>
								<FIELD NAME="Data_lst" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT="1"/>
							</METADATA>

							<RESULTSET FOUND="">
								<ROW>
									<COL>
										<DATA>
											<xsl:value-of select="$NomFichier_lst"/>
										</DATA>
									</COL>
									<COL>
										<DATA>
											<xsl:value-of select="$Node"/>
										</DATA>
									</COL>
									<COL>
										<DATA>
											<xsl:value-of select="@id"/>
										</DATA>
									</COL>
									<COL>
										<DATA>
											<xsl:value-of select="@name"/>
										</DATA>
									</COL>
									<COL>
										<DATA>
											<xsl:text disable-output-escaping="yes">
									&lt;![CDATA[
								</xsl:text>
											<xsl:copy-of select="."/>
											<xsl:text disable-output-escaping="yes">
											]]&gt;
								</xsl:text>
										</DATA>
									</COL>
								</ROW>
							</RESULTSET>

						</FMPXMLRESULT>

					</xsl:result-document>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="ParcoursElement"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
