#!/bin/sh
#INIT de variables
#Chemin absolu vers le dossier DDR
#ATTENTION A LE MODIFIER A CHAQUE DEPLACEMENT DU DOSSIER /DDR
#IL NE DOIT PAS CONTENIR LES MOTS OLD ou NEW

FILES=$HOME/Documents/DDR/

#Dossier dans /DDR/*, tous des chemins absolu

DirOld=$FILES"DDR_OLD"
DirNew=$FILES"DDR_NEW"
DirOldImport=$FILES"DDR_IMPORT_OLD"
DirNewImport=$FILES"DDR_IMPORT_NEW"
DirTools=$FILES"TOOLS"
DirDelete=$FILES"DDR_DELETE"
DirAdd=$FILES"DDR_ADD"
DirModification=$FILES"DDR_MODIFICATION"

AppOpenFm="OpenFM.app"
AppDDR="AsExeDdrV9.app"
AppExitFM="AsCloseFmV2.app"
AppKeeProject="AsExeImpKeeProjectV3.app"
DirSaxon="$DirTools/Saxon"
Saxon="saxon9he.jar"
Xslt="SplitDDR.xsl"
Summary="Summary.xml"

# le script peut etre lance de nimporte quel dossier, on se place dans le bon repertoire

cd $FILES

#Etape 1 : clear old datas

#date du jour
DATE=`date +"%y%m%d"`

#zip -r $DirOld$DATE.zip $DirOld
zip -r $DirOldImport$DATE.zip $DirOldImport 

DATE14=`date -v-14d +"%y%m%d"`

rm -f $DirOld$DATE14.zip

rm -f $DirOldImport$DATE14.zip

# Supprimer le dossier DDR_OLD
rm -rf $DirOld

# Supprimer le dossier DDR_IMPORT_OLD
rm -rf $DirOldImport

# Supprimer le dossier DDR_DELETE
rm -rf $DirDelete

# Supprimer le dossier DDR_ADD
rm -rf $DirAdd

# Supprimer le dossier DDR_MODIFICATION
rm -rf $DirModification


#Etape 2 : Renommer le dossier DDR_NEW en DDR_OLD et DDR_IMPORT_NEW en DDR_IMPORT_OLD
mv $DirNew $DirOld
mv $DirNewImport $DirOldImport

sleep 2

#Etape 3 : Créer un dossier DDR_NEW, DDR_IMPORT_NEW, DDR_DELETE, DDR_MODIFICATION
mkdir $DirNew
mkdir $DirNewImport
mkdir $DirDelete
mkdir $DirModification
mkdir $DirAdd


#Etape 4 : Get DDR with MBS PI


#Etape 5 : Eclater Tous les fichiers
FileXmlNew="$DirNew/*.xml"
AppSaxon="$DirSaxon/$Saxon"
PathXslt="$DirTools/$Xslt"

cd $DirNewImport

for PathFileNew in $FileXmlNew
do
    java -Xms1024m -Xmx2048m -jar $AppSaxon $PathFileNew $PathXslt
done

#Etape 6 : Comparare with Day - 1

#Deleted Items

FileXmlImportOld=$DirOldImport"/*.xml"

for f in $FileXmlImportOld
do
    if [ ! -f ${f//"OLD"/"NEW"} ]
    then
        cp $f $DirDelete
    fi
done

#Add or modified items

FileXmlImportNew=$DirNewImport"/*.xml"

for f in $FileXmlImportNew
do
    if [ ! -f ${f//"NEW"/"OLD"} ]
    then
        cp $f $DirAdd
    else
        diff -a $f ${f//"NEW"/"OLD"} > ${f//".xml"/".txt"}
        DiffResult=$?
        if [ $DiffResult -eq 1 ]
        then
            cp $f $DirModification
            mv ${f//".xml"/".txt"} $DirModification
        else
            rm ${f//".xml"/".txt"}
        fi
    fi
done

#Etape 7 : Import Results

cd $DirTools
open -a $...












